FL4REC-API FLAM4 Record Interface (Windows and Linux conform with z/OS (MF-EDZ))

Data Fields
key_description Struct Reference
Data types

Key elements for index sequential data access. More...

`#include <FL4REC.h>`

## Data Fields
U32 | KEYFLG
| Key flag. More...
U32 | KEYCNT
| Number of key elements. More...
FKE | KEYELM [8]
| Array of key elements. More...

## Detailed Description

Key elements for index sequential data access.

Defines up to 8 key elements for index sequential data access. Such access methods are only supported on mainframe systems (BSAM/VSAM).

## Field Documentation

## ◆ KEYFLG

U32 key_description::KEYFLG

Key flag.

Options:

- 0 = No duplicate key (DEFAULT)
- 1 = Duplicate keys allowed

## ◆ KEYCNT

U32 key_description::KEYCNT

Number of key elements.

The number of elements in key_description::KEYELM (normally 1 (VSAM), maximum 8 (BSAM))

## ◆ KEYELM

FKE key_description::KEYELM[8]

Array of key elements.

The documentation for this struct was generated from the following file:

- FL4REC.h